Index: cpukit/score/cpu/arm/ChangeLog
===================================================================
--- cpukit/score/cpu/arm/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/arm/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/arm/Makefile.am
===================================================================
--- cpukit/score/cpu/arm/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/arm/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h
@@ -15,18 +14,15 @@
     rtems/score/arm.h rtems/score/types.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/c4x/ChangeLog
===================================================================
--- cpukit/score/cpu/c4x/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/c4x/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/c4x/Makefile.am
===================================================================
--- cpukit/score/cpu/c4x/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/c4x/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h c4xio.h
@@ -15,18 +14,15 @@
     rtems/score/types.h rtems/score/cpu_asm.h
 
-C_FILES = cpu.c irq.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c irq.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c irq.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/h8300/ChangeLog
===================================================================
--- cpukit/score/cpu/h8300/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/h8300/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/h8300/Makefile.am
===================================================================
--- cpukit/score/cpu/h8300/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/h8300/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h
@@ -15,18 +14,15 @@
     rtems/score/types.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/i386/ChangeLog
===================================================================
--- cpukit/score/cpu/i386/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/i386/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/i386/Makefile.am
===================================================================
--- cpukit/score/cpu/i386/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/i386/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS= asm.h
@@ -16,18 +15,15 @@
     rtems/score/idtr.h
 
-LIB = $(ARCH)/libscorecpu.a
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/i960/ChangeLog
===================================================================
--- cpukit/score/cpu/i960/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/i960/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/i960/Makefile.am
===================================================================
--- cpukit/score/cpu/i960/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/i960/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h
@@ -15,18 +14,15 @@
     rtems/score/types.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S i960RP.h
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/m68k/ChangeLog
===================================================================
--- cpukit/score/cpu/m68k/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/m68k/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2004-01-07	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/m68k/Makefile.am
===================================================================
--- cpukit/score/cpu/m68k/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/m68k/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,5 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/amcompile.am
 include $(top_srcdir)/../../../automake/lib.am
 
@@ -15,18 +15,15 @@
     rtems/score/types.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/mips/ChangeLog
===================================================================
--- cpukit/score/cpu/mips/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/mips/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2004-01-07	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/mips/Makefile.am
===================================================================
--- cpukit/score/cpu/mips/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/mips/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h idtcpu.h iregdef.h
@@ -15,18 +14,15 @@
     rtems/score/types.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/no_cpu/ChangeLog
===================================================================
--- cpukit/score/cpu/no_cpu/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/no_cpu/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/no_cpu/Makefile.am
===================================================================
--- cpukit/score/cpu/no_cpu/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/no_cpu/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h
@@ -15,15 +14,16 @@
     rtems/score/cpu_asm.h rtems/score/types.h
 
-C_FILES = cpu.c cpu_asm.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.c
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-LIB = $(ARCH)/libscorecpu.a
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-$(LIB): $(OBJS)
-	$(make-library)
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.c
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/or32/ChangeLog
===================================================================
--- cpukit/score/cpu/or32/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/or32/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/or32/Makefile.am
===================================================================
--- cpukit/score/cpu/or32/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/or32/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS= asm.h
@@ -15,15 +14,15 @@
     rtems/score/or32.h rtems/score/cpu_asm.h
 
-C_FILES = cpu.c cpu_asm.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.c
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-LIB = $(ARCH)/libscorecpu.a
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.c
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/powerpc/ChangeLog
===================================================================
--- cpukit/score/cpu/powerpc/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/powerpc/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/powerpc/Makefile.am
===================================================================
--- cpukit/score/cpu/powerpc/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/powerpc/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS = asm.h
Index: cpukit/score/cpu/sh/ChangeLog
===================================================================
--- cpukit/score/cpu/sh/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/sh/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/sh/Makefile.am
===================================================================
--- cpukit/score/cpu/sh/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/sh/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS= asm.h
@@ -15,15 +14,15 @@
     rtems/score/sh.h rtems/score/sh_io.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-LIB = $(ARCH)/libscorecpu.a
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/sparc/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/sparc/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/sparc/Makefile.am
===================================================================
--- cpukit/score/cpu/sparc/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/sparc/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 include_HEADERS= asm.h
@@ -15,18 +14,15 @@
     rtems/score/types.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c cpu_asm.S
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-S_FILES = cpu_asm.S
-OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-LIB = $(ARCH)/libscorecpu.a
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c cpu_asm.S
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
Index: cpukit/score/cpu/unix/ChangeLog
===================================================================
--- cpukit/score/cpu/unix/ChangeLog	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/unix/ChangeLog	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -1,2 +1,6 @@
+2004-01-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Convert to using automake compilation rules.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/unix/Makefile.am
===================================================================
--- cpukit/score/cpu/unix/Makefile.am	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
+++ cpukit/score/cpu/unix/Makefile.am	(revision ec8c1949f0221a7044e9ee9a083bad455b4e141a)
@@ -6,6 +6,5 @@
 
 include $(top_srcdir)/../../../automake/multilib.am
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../../automake/amcompile.am
 
 AM_CPPFLAGS += -DCPU_SYNC_IO $(LIBC_DEFINES)
@@ -15,15 +14,15 @@
     rtems/score/unix.h rtems/score/unixsize.h
 
-C_FILES = cpu.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_LIBRARIES = libscorecpu.a
+CLEANFILES = libscorecpu.a
+libscorecpu_a_SOURCES = cpu.c
+libscorecpu_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
-LIB = $(ARCH)/libscorecpu.a
+EXTRA_LIBRARIES += libscorecpu_g.a
+CLEANFILES += libscorecpu_g.a
+libscorecpu_g_a_SOURCES = $(libscorecpu_a_SOURCES)
+libscorecpu_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(PREINSTALL_FILES) $(LIB)
-
-EXTRA_DIST = cpu.c
+all-local: $(PREINSTALL_FILES) libscorecpu$(LIB_VARIANT).a
 
 PREINSTALL_FILES =
